org.appng.appngizer.model.xml

## Class Linkable

- java.lang.Object
- - org.appng.appngizer.model.xml.Linkable

- Direct Known Subclasses:
    Applications, Database, Databases, Grants, Groups, Home, Nameable, Packages, Permissions, Platform, Properties, Repositories, Roles, Sites, Subjects

      public abstract class Linkable
      extends Object

  Java class for linkable complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="linkable">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="links" type="{http://www.appng.org/schema/appngizer}links" minOccurs="0"/>
             </sequence>
             <attribute name="self" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Links` | `links`
    `protected String` | `self`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Linkable()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Links` | `getLinks()` Gets the value of the links property.
    `String` | `getSelf()` Gets the value of the self property.
    `void` | `setLinks(Links value)` Sets the value of the links property.
    `void` | `setSelf(String value)` Sets the value of the self property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### links

          protected Links links

    - #### self

          protected String self

  - ### Constructor Detail

    - #### Linkable

          public Linkable()

  - ### Method Detail

    - #### getLinks

          public Links getLinks()

      Gets the value of the links property.
      Returns:
        possible object is `Links`

    - #### setLinks

          public void setLinks(Links value)

      Sets the value of the links property.
      Parameters:
        `value` - allowed object is `Links`

    - #### getSelf

          public String getSelf()

      Gets the value of the self property.
      Returns:
        possible object is `String`

    - #### setSelf

          public void setSelf(String value)

      Sets the value of the self property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.